Bug 570380 - xfce4-session should send idle notice to gnome-screensaver
Summary: xfce4-session should send idle notice to gnome-screensaver
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-session
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-04 05:03 UTC by Tim Taiwanese Liim
Modified: 2010-03-13 17:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-13 05:21:38 UTC


Attachments (Terms of Use)

Description Tim Taiwanese Liim 2010-03-04 05:03:32 UTC
Description of problem:
    xfce4-session (x-s) should send idle notice to gnome-screensaver
    (g-ss), like gnome-session (g-s) does in F11 and later.  In F11 and
    later, g-ss uses g-s as middleman to Xorg (the X server) for idle
    notice.  This is an architectural change in g-s and g-ss, different
    from F10 and before.  Since x-s is the counterpart of g-s in XFCE env,
    x-s should do the same as g-s does in F11 and later.

    In F11 and F12 g-ss no longer works because x-s does not send idle
    notice to g-ss.

    If you believe it's g-ss that should revert its change, please
    negotiate with g-ss folks.


Version-Release number of selected component (if applicable):
    xfce4-session-4.6.1-3.fc11.i586

How reproducible:
    always

Steps to Reproduce:
    1. in F11 or F12, login XFCE4 session.
    2. run gnome-screensaver-preferences,
    3. change idle timeout to 1 minute, so it's easier to reproduce the issue.
       gnome-screensaver-preferences
            "Regard the computer as idle after"      1 minute
       gnome-power-preferences
            "Put display to sleep when inactive for" 1 minute
    4. wait 10 minute.
  
Actual results:
    g-ss did not kick in.

Expected results:
    g-ss should kick in and show the screen saver thing.

Additional info:
    From strace I gathered some info on what g-s does (may not be the
    complete picture, but this illustrates the control flow on high
    level):

      - g-s register with Xorg for IDLETIME counter, 
        one positive transition for idle notice;
        one negative transition for activity-after-idle notice.

      - when g-s receives idle (or activity) notice from Xorg, it sends 
        idle (or activity) notice to g-ss via dbus:
            /org/gnome/SessionManager/Presence
             org.gnome.SessionManager.Presence 
             StatusChanged

      - when g-ss locks/unlocks, it sends lock/unlcok msg to g-s via dbus:
            /org/gnome/ScreenSaver
             org.gnome.ScreenSaver
             ActiveChanged

Comment 1 Tim Taiwanese Liim 2010-03-04 05:04:37 UTC
This bug is a spin-off from bug505915 Comment #66; issue originally
raised by Martin Donald.

Comment 2 Kevin Fenzi 2010-03-04 05:30:14 UTC
This is a design decision from the gnome folks, so it's not going to be changed there I don't think. 
The Xfce folks can't change gnome-screensaver, so it's unlikely to be fixed there. 

See all of the following: 

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=536381
  http://bugzilla.xfce.org/show_bug.cgi?id=5927
  https://bugzilla.gnome.org/show_bug.cgi?id=592093
  https://launchpad.net/bugs/411350
  https://launchpad.net/bugs/493573

It was my understanding of this issue however, that it would still work if you logged in via gdm and still had gnome-session installed/setup. 

Is gnome-session installed? Are you using gdm to login?

Perhaps I am misunderstanding the scope of this bug.

Comment 3 Tim Taiwanese Liim 2010-03-04 06:04:25 UTC
Kevin,
Thanks for super fast response!

> Is gnome-session installed? 
Yes, g-s is installed; it was running at time of login window:
    root      1392     1  0 Mar03 /usr/sbin/gdm-binary -nodaemon
    root      4824  1392  0 00:49   /usr/libexec/gdm-simple-slave 
    root      4825  4824  7 00:49     /usr/bin/Xorg :0 -br -verbose
    gdm       4850  4824  0 00:49     /usr/bin/gnome-session 
After login with xfce4, gnome-session disappeared, and was replaced by
xfce4-session:
    root      1392     1  0 Mar03 /usr/sbin/gdm-binary -nodaemon
    root      4824  1392  0 00:49   /usr/libexec/gdm-simple-slave 
    root      4825  4824  0 00:49     /usr/bin/Xorg :0 -br -verbose
    timliim   4961  4927  0 00:52       /bin/sh /etc/xdg/xfce4/xinitrc
    timliim   5114  4961  0 00:52         /usr/bin/xfce4-session

> Are you using gdm to login?
Could you elaborate what you meant?  On a fresh installed F12, I did
"yum groupinstall XFCE", then use the usual graphical login screen,
using "XFCE4" as session.  Does this count as "using gdm to login?"

> it would still work if you logged in via gdm and still had
> gnome-session installed/setup.
As show by ps, upon login with xfce4, g-s disappears and x-s shows up.
Is there a way to tell xfce4 to use g-s instead of x-s?  Thanks.

> Perhaps I am misunderstanding the scope of this bug.
The complaint was mainly about g-ss not kicking in in XFCE4.  Anyway
to get it working is good to me.

Comment 4 Tim Taiwanese Liim 2010-03-05 04:46:40 UTC
Kevin,
Thanks for pointers in Comment #2.  Looks like this is an impasse
between gnome and xfce.  Shoule we just close this bug WONTFIX?

View from gnome (who owns g-ss):
    https://bugzilla.gnome.org/show_bug.cgi?id=592093#c2
    2010-01-29
    I'd say that the xfce session should probably do something like
    gnome-session. Either that or an external module that implements the
    same dbus interface.
    I don't think we are going to fix this.  This is the gnome screensaver
    after all :)

View from xfce (who borrows g-ss for its own use but complains about 
change in g-ss):
    http://bugzilla.xfce.org/show_bug.cgi?id=5927#c4
    2009-10-30
    Yes, it definitely suck, but there's not much one can do, exept asking
    for GNOME people to revert the change and stay with the X idle
    counter.

Comment 5 Kevin Fenzi 2010-03-13 05:21:38 UTC
Yeah, I fear we just need to get folks who use Xfce to switch over to xscreensaver. ;( 

The spin and group should do this soon... 

Sorry for the bad news.

Comment 6 Tim Taiwanese Liim 2010-03-13 17:50:29 UTC
Understand.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.